Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.project.validator
Class TreeNodeValidator

    java.lang.Object
      org.apache.cayenne.project.validator.TreeNodeValidator

Direct Known Subclasses:
  DataMapValidator, DataNodeValidator, DbAttributeValidator, DbEntityValidator, DbRelationshipValidator, DomainValidator, EJBQLQueryValidator, EmbeddableAttributeValidator, EmbeddableValidator, ObjAttributeValidator, ObjEntityValidator, ObjRelationshipValidator, ProcedureParameterValidator, ProcedureQueryValidator, ProcedureValidator, SelectQueryValidator, SQLTemplateValidator

    public abstract class TreeNodeValidator

extends Object

Validator of a single node in a project object tree. Do not confuse with org.apache.cayenne.access.DataNode.

Field Summary
`protected static DbAttributeValidator` | `dbAttrValidator`
`protected static DbEntityValidator` | `dbEntityValidator`
`protected static DbRelationshipValidator` | `dbRelValidator`
`protected static DomainValidator` | `domainValidator`
`protected static EJBQLQueryValidator` | `ejbqlQueryValidator`
`protected static EmbeddableAttributeValidator` | `embeddableAttributeValidator`
`protected static EmbeddableValidator` | `embeddableValidator`
`protected static DataMapValidator` | `mapValidator`
`protected static DataNodeValidator` | `nodeValidator`
`protected static ObjAttributeValidator` | `objAttrValidator`
`protected static ObjEntityValidator` | `objEntityValidator`
`protected static ObjRelationshipValidator` | `objRelValidator`
`protected static ProcedureParameterValidator` | `procedureParameterValidator`
`protected static ProcedureQueryValidator` | `procedureQueryValidator`
`protected static ProcedureValidator` | `procedureValidator`
`protected static SelectQueryValidator` | `selectQueryValidator`
`protected static SQLTemplateValidator` | `sqlTemplateValidator`

Constructor Summary
`TreeNodeValidator()` Constructor for TreeNodeValidator.

Method Summary
`static void` | `validate(ProjectPath path, Validator validator)` Validates an object, appending any validation messages to the validator provided.
`abstract void` | `validateObject(ProjectPath treeNodePath, Validator validator)` Validates an object, appending any warnings or errors to the validator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### domainValidator

    protected static final DomainValidator domainValidator

### nodeValidator

    protected static final DataNodeValidator nodeValidator

### mapValidator

    protected static final DataMapValidator mapValidator

### objEntityValidator

    protected static final ObjEntityValidator objEntityValidator

### objAttrValidator

    protected static final ObjAttributeValidator objAttrValidator

### objRelValidator

    protected static final ObjRelationshipValidator objRelValidator

### dbEntityValidator

    protected static final DbEntityValidator dbEntityValidator

### dbAttrValidator

    protected static final DbAttributeValidator dbAttrValidator

### dbRelValidator

    protected static final DbRelationshipValidator dbRelValidator

### embeddableAttributeValidator

    protected static final EmbeddableAttributeValidator embeddableAttributeValidator

### embeddableValidator

    protected static final EmbeddableValidator embeddableValidator

### procedureValidator

    protected static final ProcedureValidator procedureValidator

### procedureParameterValidator

    protected static final ProcedureParameterValidator procedureParameterValidator

### selectQueryValidator

    protected static final SelectQueryValidator selectQueryValidator

### procedureQueryValidator

    protected static final ProcedureQueryValidator procedureQueryValidator

### ejbqlQueryValidator

    protected static final EJBQLQueryValidator ejbqlQueryValidator

### sqlTemplateValidator

    protected static final SQLTemplateValidator sqlTemplateValidator

Constructor Detail

### TreeNodeValidator

    public TreeNodeValidator()

  Constructor for TreeNodeValidator.

Method Detail

### validate

    public static void validate(ProjectPath path,
                                Validator validator)

  Validates an object, appending any validation messages to the validator provided.

### validateObject

    public abstract void validateObject(ProjectPath treeNodePath,
                                        Validator validator)

  Validates an object, appending any warnings or errors to the validator. Object to be validated is the last object in a `treeNodePath` array argument. Concrete implementations would expect an object of a specific type. Otherwise, ClassCastException will be thrown.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 Apache Cayenne. All Rights Reserved.